> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a new email set



## OpenAPI

````yaml post /admin/auto_emails/emailset
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/auto_emails/emailset:
    post:
      tags:
        - Auto Emails
      summary: Add a new email set
      operationId: ea8aada5337e9c894eb6a19d566324bd
      requestBody:
        description: Data for the new email set
        required: true
        content:
          application/json:
            schema:
              properties:
                name:
                  description: The name of the email set
                  type: string
                from:
                  description: The sender's email address
                  type: string
                  format: email
                client_id:
                  description: The id of the client
                  type: string
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Confirmation message
                    type: string
                type: object
        '400':
          description: Bad request
        '404':
          description: Not found
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````